Skip to main content
POST
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
schema
/
type
/
password
Create a password column
curl --request POST \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/schema/type/password \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "password",
  "filters": {
    "min": 8,
    "max": 64,
    "minAlpha": 1,
    "minDigit": 1,
    "minSymbol": 1
  }
}
'
import requests

url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/schema/type/password"

payload = {
    "name": "password",
    "filters": {
        "min": 8,
        "max": 64,
        "minAlpha": 1,
        "minDigit": 1,
        "minSymbol": 1
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'password',
    filters: {min: 8, max: 64, minAlpha: 1, minDigit: 1, minSymbol: 1}
  })
};

fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/schema/type/password', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required
table_id
integer<int64>
required

Body

name
string
required
description
string
nullable
boolean
required
boolean
access
enum<string>
default:public
Available options:
public,
private,
internal
sensitive
boolean
style
enum<string>
default:single
Available options:
single,
list
filters
object | null

Response

Success!

name
string